require 'thor'
require 'servicon'

module Servicon
  class CLI < Thor
    desc "uuid FINGERPRINT", "Displays the UUID generated for the FINGERPRINT"
    def uuid(fingerprint)
      puts Servicon::Icon.new(fingerprint, false).uuid
    end

    desc "display FINGERPRINT", "Displays the icon generated for the FINGERPRINT"
    method_option :color, :default => "true", :aliases => "-c"
    def display(fingerprint)
      puts Servicon::Icon.new(fingerprint, options[:color]).display
    end
  end
end
